Bug 427110 - x86-64 csound looks in wrong dir for plugins.
x86-64 csound looks in wrong dir for plugins.
Status: CLOSED DUPLICATE of bug 407911
Product: Fedora
Classification: Fedora
Component: csound (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-31 15:30 EST by Dave Jones
Modified: 2015-01-04 17:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-01 00:55:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2007-12-31 15:30:18 EST
$ csound analog1.orc 
Localisation of messages is disabled, using default language.
time resolution is 1000.000 ns
Error opening plugin directory '/usr/lib/csound/plugins': No such file or directory
$ file `which csound`
/usr/bin/csound: ELF 64-bit LSB executable, x86-64, version 1 (SYSV),
dynamically linked (uses shared libs), for GNU/Linux 2.6.9, stripped
$ ll /usr/lib64/csound/plugins/
total 1292
-rwxr-xr-x 1 root root  10680 2007-04-04 17:56 libbabo.so*

etc...


Having the 32bit version installed at the same time means it ends up failing due
to the wrong ELF class..

WARNING: could not open library '/usr/lib/csound/plugins/libharmon.so'
(/usr/lib/csound/plugins/libharmon.so: wrong ELF class: ELFCLASS32)
WARNING: could not open library '/usr/lib/csound/plugins/libstdopcod.so'
(/usr/lib/csound/plugins/libstdopcod.so: wrong ELF class: ELFCLASS32)
WARNING: could not open library '/usr/lib/csound/plugins/libvaops.so'
(/usr/lib/csound/plugins/libvaops.so: wrong ELF class: ELFCLASS32)
WARNING: could not open library '/usr/lib/csound/plugins/librtalsa.so'
(/usr/lib/csound/plugins/librtalsa.so: wrong ELF class: ELFCLASS32)
WARNING: could not open library '/usr/lib/csound/plugins/libugakbari.so'
(/usr/lib/csound/plugins/libugakbari.so: wrong ELF class: ELFCLASS32)
WARNING: could not open library '/usr/lib/csound/plugins/libstdutil.so'
(/usr/lib/csound/plugins/libstdutil.so: wrong ELF class: ELFCLASS32)
WARNING: could not open library '/usr/lib/csound/plugins/libftest.so'
(/usr/lib/csound/plugins/libftest.so: wrong ELF class: ELFCLASS32)
Comment 1 Michel Alexandre Salim 2008-02-01 00:55:46 EST

*** This bug has been marked as a duplicate of 407911 ***

Note You need to log in before you can comment on or make changes to this bug.